﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GridControl_Demo
{
    public partial class Form1 : Form
    {
        #region "Constructor"
        public Form1()
        {
            InitializeComponent();
            this.gridControl1.ColStyles[2].CellValueType = typeof(int);
            this.gridControl1.ColStyles[2].Format = "#.00";
            this.gridControl1.ColStyles[2].HorizontalAlignment = GridHorizontalAlignment.Right;

            this.gridControl1.ColStyles[4].CellValueType = typeof(DateTime);
            this.gridControl1.ColStyles[4].Format = "dd/MM/yyyy";
            this.gridControl1.ColStyles[4].HorizontalAlignment = GridHorizontalAlignment.Center;
            
            this.gridControl1.RowCount = 25;
            this.gridControl1.ColCount = 13;

        }
        #endregion

        #region "Event"
        private void button1_Click(object sender, System.EventArgs e)
        {
            CreateTable();
           // this.gridControl1.PopulateHeaders(GridRangeInfo.Row(0), CreateTable());
            this.gridControl1.PopulateHeaders(GridRangeInfo.Cells(0, 1, 0, dt.Columns.Count), dt);
            col++;
            this.gridControl1.PopulateValues(GridRangeInfo.Cells(1, 1, gridControl1.RowCount, dt.Columns.Count), dt);
            this.gridControl1.Refresh();
        }
        #endregion

        #region "Create DataTable"
        string[] name1 = new string[] { "John", "Peter", "Smith", "Jay", "Krish", "Mike" };
        string[] country = new string[] { "UK", "USA", "Pune", "India", "China","England" };
        string[] city = new string[] { "Graz", "Resende", "Bruxelles", "Aires", "Rio de janeiro", "Campinas" };
        string[] scountry = new string[] { "Brazil", "Belgium", "Austria", "Argentina", "France", "Beiging" };
        DataTable dt = new DataTable();
        Random r = new Random();
        int col = 0;
        private DataTable CreateTable()
        {
            if (col == 0)
            {
                dt.Columns.Add("Name");
                dt.Columns.Add("Id");
                dt.Columns.Add("Date");
                dt.Columns.Add("Country");
                dt.Columns.Add("Ship City");
                dt.Columns.Add("Ship Country");
                dt.Columns.Add("Freight");
                dt.Columns.Add("Postal code");
                dt.Columns.Add("Salary");
                dt.Columns.Add("PF");
                dt.Columns.Add("EMI");
                dt.Columns.Add("Previous Month salary");
                dt.Columns.Add("Company code");
            }
            for (int l = 0; l < dt.Columns.Count; l++)

                for (int i = 0; i < this.gridControl1.RowCount; i++)
                {
                    DataRow dr = dt.NewRow();
                    for (int j = 0; j < this.gridControl1.ColCount; j++)
                    {
                        dr[0] = name1[r.Next(0, 5)];
                        dr[1] = "E" + r.Next(30);
                        dr[2] = new DateTime(2012, 5, 23);
                        dr[3] = country[r.Next(0,5)];
                        dr[4] = city[r.Next(0,5)];
                        dr[5] = scountry[r.Next(0,5)];
                        dr[6] = r.Next(1000,2000);
                        dr[7] = r.Next(10+(r.Next(600000,600100)));
                        dr[8] = r.Next(14000,20000);
                        dr[9] = r.Next(r.Next(2000,4000));
                        dr[10] = r.Next(300,1000);
                        dr[11] = r.Next(300, 1000);
                        dr[12] = r.Next(300, 1000);
                    }
                    dt.Rows.Add(dr);
                }
            return dt;
        }
        #endregion
    }
}
